<template>
	<view class="pages">
		<view class="icon-wrap u-flex u-row-center">
			<u-icon name="checkmark" color="#fff" size="80"></u-icon>
		</view>
		<view class="title">{{title}}</view>
		<view class="" v-if="noPaypass==true">
			<view class="tip">为了您的支付安全，请务必设置支付密码</view>
			<view class="full-btn" @click="goSetPaypass">设置支付密码</view>
		</view>
		<view v-else class="full-btn" @click="btnClick">完成</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				noPaypass:true,
				title:'恭喜你您，充值成功'
			}
		},
		onShow() {		
			this.checkPaypass();
		},
		onLoad() {

		},
		methods: {
			btnClick(){
				uni.reLaunch({url: '/center/center'});
			},
			goSetPaypass(){
				uni.reLaunch({url: '/center/setPaypass'});
			},
			checkPaypass(){
				this.$u.api.getExistPayPassword().then(res=>{
					// console.log('res',res.data);
					if(res.data==0){
						this.noPaypass = true
					}else{
						this.noPaypass = false
					}
					console.log('this.noPaypass',this.noPaypass);
				}).catch(err=>{
					console.log('checkPaypass',err);
				})
			}
		}
	}
</script>
<style>
	page{
		background-color: #F5F5F5;
	}
</style>
<style lang="scss" scoped>
.pages{
	text-align: center;
}

.icon-wrap{
	width: 180rpx;
	height: 180rpx;
	margin: 120rpx auto 20rpx;
	padding: 20rpx;
	background-color: #00A447;
	border-radius: 50%;
}
.title{
	font-size: 32rpx;
	font-weight: 600;
	color: #333333;
	line-height: 40rpx;
	margin-bottom: 120rpx;
}
.full-btn{
	margin: 20rpx 10%;
}
</style>